# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name mtl

Name:           ghc-%{pkg_name}
Version:        2.2.1
Release:        2%{?dist}
Summary:        Monad classes, using functional dependencies

License:        BSD
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-transformers-devel
# End cabal-rpm deps

%description
Monad classes using functional dependencies, with instances for various monad
transformers, inspired by the paper "Functional Programming with Overloading
and Higher-Order Polymorphism", by Mark P Jones, in "Advanced School of
Functional Programming", 1995
(<http://web.cecs.pdx.edu/~mpj/pubs/springschool.html>).


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}
cabal-tweak-dep-ver transformers '== 0.4.*' '>=0.4 \&\& <0.6'


%build
%ghc_lib_build


%install
%ghc_lib_install

rm %{buildroot}%{ghc_pkgdocdir}/LICENSE


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%license LICENSE


%files devel -f %{name}-devel.files


%changelog
* Wed Mar  2 2016 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 2.2.1-1
- spec file generated by cabal-rpm-0.9.9
